summaryrefslogtreecommitdiffstats
path: root/etc/rc.d
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d')
-rwxr-xr-xetc/rc.d/amd6
-rwxr-xr-xetc/rc.d/mountd5
-rwxr-xr-xetc/rc.d/rpcbind1
3 files changed, 8 insertions, 4 deletions
diff --git a/etc/rc.d/amd b/etc/rc.d/amd
index 20339c3..882f265 100755
--- a/etc/rc.d/amd
+++ b/etc/rc.d/amd
@@ -35,8 +35,10 @@ amd_precmd()
if ! checkyesno nfs_client_enable ; then
force_depend nfsclient || return 1
fi
- if [ -z "`check_process rpcbind`" \
- -a ! `checkyesno portmap_enable` ]; then
+
+ if ! checkyesno portmap_enable && \
+ [ -z "`check_process ${portmap_program}`" ]
+ then
force_depend rpcbind || return 1
fi
diff --git a/etc/rc.d/mountd b/etc/rc.d/mountd
index 7618aeb..612365f 100755
--- a/etc/rc.d/mountd
+++ b/etc/rc.d/mountd
@@ -33,7 +33,10 @@ mountd_precmd()
if ! sysctl vfs.nfsrv >/dev/null 2>&1; then
force_depend nfsserver || return 1
fi
- if [ -z "`check_process rpcbind`" -a ! `checkyesno portmap_enable` ]; then
+
+ if ! checkyesno portmap_enable && \
+ [ -z "`check_process ${portmap_program}`" ]
+ then
force_depend rpcbind || return 1
fi
diff --git a/etc/rc.d/rpcbind b/etc/rc.d/rpcbind
index 9f6e544..fd923df 100755
--- a/etc/rc.d/rpcbind
+++ b/etc/rc.d/rpcbind
@@ -23,7 +23,6 @@ case `${CMD_OSTYPE}` in
FreeBSD)
pidfile=
rcvar="portmap_enable"
- command="${portmap_program:-/usr/sbin/${name}}"
eval ${name}_flags=\"${portmap_flags}\"
;;
NetBSD)
OpenPOWER on IntegriCloud